# Estimated Scan Duration

### Condition

Scan for this query will not be completed for a long time. Usually there is no point in waiting. This warning indicates queries trying to process enormous amount of data relative to warehouse size.

### How to fix

* Check query text for mistakes and typos.
* Process data in smaller chunks.
* Increase warehouse size.

### Example

```
    EstimatedScanDurationCondition(
        min_estimated_scan_duration=60 * 60 * 2,  # query scan is estimated to take longer than 2 hours
        warning_duration=60 * 10,  # warning after 10 minutes
        kill_duration=60 * 20,  # kill after 20 minutes
    ),
```

### Specific arguments

* **min\_estimated\_scan\_duration** (int) - how long scan is expected to take based on current estimation, in seconds (recommended min value is at least 1 hour)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowkill.net/condition/built-in-conditions/estimated-scan-duration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
